Skip to main content

Create a Project belonging to a Server

POST/v2/servers/{serverId}/projects
API version
v2
Request method
POST
Operation ID
project-create-project

Request​

  • serverIdstringrequired

    ID of the Server to create the Project for.

Responses​

Format
application/json
Description

Created

  • idstring (uuid)required
Content-Type: application/json

{
"id": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"id": {
"format": "uuid",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"description":"My first Project!"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/servers/string/projects
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.createProject({
"serverId": "string",
"data": {
"description": "My first Project!"
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\Project\CreateProject\CreateProjectRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Project\CreateProject\CreateProjectRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CreateProjectRequestBody to learn how to construct a valid instance
$body = new CreateProjectRequestBody(/* TODO: ... */);

$request = (new CreateProjectRequest(
serverId: "string",
body: $body
));
$response = $client->project()->createProject($request);

var_dump($response->getBody();

On this page